Open CASCADE Technology: PGeom2d_Parabola Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PGeom2d_Parabola Class Reference

`#include <PGeom2d_Parabola.hxx>`

Inheritance diagram for PGeom2d_Parabola:
[legend]

## Public Member Functions
| PGeom2d_Parabola ()
| Creates a parabola with default values. More...
| PGeom2d_Parabola (const gp_Ax22d &aPosition, const Standard_Real aFocalLength)
| Creates a Parabola with <aPosition> and <aFocalLength> as field values. More...
void | FocalLength (const Standard_Real aFocalLength)
| Set the value of the field focalLength with <aFocalLength>. More...
Standard_Real | FocalLength () const
| Retruns the value of the field focalLength. More...
| PGeom2d_Parabola (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPGeom2d_ParabolafocalLength () const
void | _CSFDB_SetPGeom2d_ParabolafocalLength (const Standard_Real p)
Public Member Functions inherited from PGeom2d_Conic
void | Position (const gp_Ax22d &aPosition)
| Set the value of the field position with <aPosition>. More...
gp_Ax22d | Position () const
| Returns the value of the field <position>. More...
| PGeom2d_Conic (const Storage_stCONSTclCOM &a)
const gp_Ax22d & | _CSFDB_GetPGeom2d_Conicposition () const
Public Member Functions inherited from PGeom2d_Curve
| PGeom2d_Curve (const Storage_stCONSTclCOM &a)
| PGeom2d_Curve ()
Public Member Functions inherited from PGeom2d_Geometry
| PGeom2d_Geometry (const Storage_stCONSTclCOM &a)
| PGeom2d_Geometry ()
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Additional Inherited Members
Protected Member Functions inherited from PGeom2d_Conic
| PGeom2d_Conic ()
| Initializes the field(s) with default value(s). More...
| PGeom2d_Conic (const gp_Ax22d &aPosition)
| Initializes the field position with <aPosition>. More...
Protected Attributes inherited from PGeom2d_Conic
gp_Ax22d | position

## Constructor & Destructor Documentation

PGeom2d_Parabola::PGeom2d_Parabola | ( |  | ) |

Creates a parabola with default values.

PGeom2d_Parabola::PGeom2d_Parabola | ( | const gp_Ax22d & | aPosition,
|  | const Standard_Real | aFocalLength
| ) |  |

Creates a Parabola with <aPosition> and <aFocalLength> as field values.

PGeom2d_Parabola::PGeom2d_Parabola | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

Standard_Real PGeom2d_Parabola::_CSFDB_GetPGeom2d_ParabolafocalLength | ( |  | ) | const
| inline

void PGeom2d_Parabola::_CSFDB_SetPGeom2d_ParabolafocalLength | ( | const Standard_Real | p | ) |
| inline

void PGeom2d_Parabola::FocalLength | ( | const Standard_Real | aFocalLength | ) |

Set the value of the field focalLength with <aFocalLength>.

Standard_Real PGeom2d_Parabola::FocalLength | ( |  | ) | const

Retruns the value of the field focalLength.

The documentation for this class was generated from the following file:

- PGeom2d_Parabola.hxx